Subject: Re: [PATCH] powerpc/mpc52xx: Properly update irq_desc when set_type() is called.

From: "Grant Likely" <[email-masked]>
Date: Fri, 9 Jan 2009 14:02:48 -0700

On Thu, Jan 8, 2009 at 7:40 AM, Matt Sealey <[email-masked]> wrote:
> Grant Likely wrote:
>>
>> On Wed, Jan 7, 2009 at 8:51 PM, Matt Sealey <[email-masked]> wrote:
>>>
>>> Grant Likely wrote:
>>>>
>>>> From: Grant Likely <[email-masked]>
>>>>
>>>> The MPC5200 PIC driver doesn't correctly update the .status field of
>>>> the irq_desc structure when the set_type hook is called.  This patch
>>>> adds the required code.
>>>>
>>>> Also cleans up the external IRQ typename field to be something easier
>>>> to read (very minor).
>>>>
>>>> Signed-off-by: Grant Likely <[email-masked]>
>>>
>>> Hi Grant,
>>>
>>> What does this affect?
>>
>> cat /proc/interrupts
>
> Ah so, completely cosmetic in the end. I was worried I'd have to build a new
> kernel for a second.. :D

Not entirely; it affects the details about how irqs are handled.
check_irq_resend() for example.  I don't think any 5200 platforms
currently care; but it could be an issue with cascaded IRQ handlers.

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.